#pragma once
#include <HwmAgentCallback.h>

// demoAddAttendeeDlg2 对话框


class demoAddAttendeeDlg2 : public CDialogEx
{
	DECLARE_DYNAMIC(demoAddAttendeeDlg2)

public:
	demoAddAttendeeDlg2(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~demoAddAttendeeDlg2();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_ADD_CONF_ATTENDEE_DIALOG };
#endif

    hwmsdkagent::HwmAttendeeInfo GetAttendeeInfo() const {return attendeeInfo;}

protected:
    virtual void OnOK() override;
    virtual void OnCancel() override;
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

protected:
    CEdit m_editName;
    CEdit m_editAliasCN;
    CEdit m_editAliasEN;
    CEdit m_editNumber;
    CEdit m_editEmail;
    CEdit m_editPhone;
    CEdit m_editThirdUserId;
    CEdit m_editOrgId;
    CButton m_checkMute;
    CButton m_checkInvite;

private:
    hwmsdkagent::HwmAttendeeInfo attendeeInfo{};
};
